.partners-view {
    gap: 24px;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 24px 24px 24px 48px;
    overflow: scroll;
}

.partners-view > .card {
    width: 280px;
    height: 136px;
    box-sizing: border-box;
    padding: 24px;
    border-radius: 8px;
    background-color: var(--main-soft);
    overflow: hidden;
    transition: 0.6s;
    cursor: pointer;
}

.partners-view > .card.filter-out {
    width: 0px;
    max-height: 0px;
    padding: 0;
}

.partners-view > .card:hover {
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
}

.partners-view > .card.active {
    width: 360px;
    height: 200px;
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
    cursor: default;
}

.partners-view > .card select.internal {
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.partners-view > .card.active select.internal {
    cursor: default;
}

.partners-view > .card.active option {
    cursor: default;
}

.partners-view > .card.active input.internal.invalid {
    border-color: var(--alert);
}

.partners-view > .card label.internal {
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.partners-view > .card label.internal.external {
    border: 1px solid var(--focus);
    color: var(--focus);
}

.partners-view > .card.active label.internal {
    cursor: default;
}

.partners-view > .card select.internal {
    display: none;
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.partners-view > .card.active select.internal {
    cursor: pointer;
}

.partners-view > .card.new select.internal {
    display: block;
}

.partners-view > .card.new label.internal {
    display: none;
}

.partners-view > .card .card-content {
    height: calc(100% - 29px);
    background-color: transparent;
    overflow: hidden;
}

.partners-view > .card .content {
    width: 100%;
}

.partners-view > .card.active .content {
    width: 100%;
}

.partners-view > .card .action {
    position: relative;
    display: none;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    border-radius: 12px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    opacity: 0;
    overflow: visible;
    transition: 0.4s;
    cursor: pointer;
}

.partners-view > .card.stable .action.save {
    display: none!important;
}

.partners-view > .card.new .action.close {
    display: none!important;
}

.partners-view > .card .action.save {
    background-color: var(--focus);
}

.partners-view > .card .action.delete {
    background-color: var(--alert);
}

.partners-view > .card .action.close {
    background-color: var(--theme);
}

.partners-view > .card.active .action {
    display: flex;
    opacity: 1;
}

.partners-view > .card.active .action:hover {
    padding: 0 12px;
}

.partners-view > .card.active .action.save:hover {
    width: 72px;
}

.partners-view > .card.active .action.close:hover {
    width: 76px;
}

.partners-view > .card.active .action.delete:hover {
    width: 78px;
}

.partners-view > .card .action > img {
    height: 50%;
    width: auto;
    margin: 0 8px 0 6px;
    transition: 0.6s;
    cursor: pointer;
}

.partners-view > .card .action:hover > img {
    margin: 0 8px 0 0;
}

.partners-view > .card .action > span {
    width: 0px;
    overflow: hidden;
    transition: 0.7s;
}

.partners-view > .card .action:hover > span {
    width: fit-content;
}

.partners-view > .card label.tag {
    display: block;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.partners-view > .card.active label.tag {
    margin-top: 40px;
    opacity: 1;
    cursor: default;
}

.partners-view > .card input.tag {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 28px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.partners-view > .card input.tag.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.partners-view > .card.active input.tag {
    width: fit-content;
    font-size: 46px;
    cursor: text;
}

.partners-view > .card.active input.tag:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.partners-view > .card.active input.tag:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.partners-view > .card.active input.tag:disabled:hover {
    border-bottom: 1px solid transparent;
    cursor: default;
}

.partners-view > .card.active input.tag.invalid {
    border-color: var(--alert);
}
